MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003446ardourfeaturespublic2010-09-09 14:292011-03-01 18:12
Reporterdanboid 
Assigned Topaul 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.XFixed in Version 
Summary0003446: Audio preview for MIDI note insert and move
DescriptionWhen you have a MIDI track connected to a sound generator you should be able to hear a preview of the inserted or moved note.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0009041)
paul (administrator)
2010-09-13 13:10

There is a "play note" option, placed (somewhat for no reason) over by the MIDI panic button (its a smaller speaker like thing). this will do some/all of what you want. let us know how much.
(0009045)
danboid (reporter)
2010-09-14 00:14

So thats what thats for! I'd previously thought that speaker icon was somehow related to the panic button.

The sound notes icon does half of what I requested here in that it plays notes on insertion (and selection) but not when you move them.
(0009046)
danboid (reporter)
2010-09-14 01:35

As for moving multiple notes with Sound Note enabled, I think it should just play the first note(s) in the selected sequence. If more than one note exists at the beginning of the selected sequence (ie a chord) then all those notes get played but not subsequent notes.

It would be ideal if we could preview chords but otherwise just being able to preview single notes when moving them would be a start.
(0009062)
paul (administrator)
2010-09-15 09:17

first selected note is now played during motion on the pitch axis (rev 7782)
(0009063)
paul (administrator)
2010-09-15 12:41

chord support added with rev 7778, i believe this is done modulo bugs.
(0009080)
nickd (reporter)
2010-09-16 15:28

I've been testing this new feature in a clean build of svn rev 7789.

Dragging notes seems to play the wrong midi notes.

e.g. dragging C5 (60) vertically up one semitone causes C#4 (49) to be played... and also causes the textual hovering readout to change to B4 (59) when it should be C#5 (61). Once a note is released and re-selected, the readout and midi preview are correct.
(0009084)
paul (administrator)
2010-09-17 13:32

fixed (along with another issue that led to the note not being played sometimes) in rev 7793
(0009088)
nickd (reporter)
2010-09-17 15:08

...almost fixed!

The y-axis is still inverted (dragging vertically up causes the pitch of previewed note to decrease instead of increasing). I have a simple patch for this that I will attach - it's a one-line fix.
(0009089)
nickd (reporter)
2010-09-17 15:13

I don't seem to be able to upload a file using mantis.
Here's the patch: http://nickdowell.com/ardour3-3446-yaxis.patch [^]
(0009090)
paul (administrator)
2010-09-17 16:29

fixed that, but i notice now that the drag of the note doesn't really track note positioning. reopening the bug until that is fixed.
(0009585)
danboid (reporter)
2010-12-09 02:26

Think this can safely be resolved.
(0010239)
paul (administrator)
2011-03-01 18:12

see notes.

- Issue History
Date Modified Username Field Change
2010-09-09 14:29 danboid New Issue
2010-09-09 15:38 cth103 cost => 0.00
2010-09-09 15:38 cth103 Target Version => 3.X
2010-09-13 13:10 paul Note Added: 0009041
2010-09-13 13:10 paul Status new => feedback
2010-09-13 13:10 paul Status feedback => assigned
2010-09-13 13:10 paul Assigned To => paul
2010-09-14 00:14 danboid Note Added: 0009045
2010-09-14 01:35 danboid Note Added: 0009046
2010-09-15 09:17 paul Note Added: 0009062
2010-09-15 12:41 paul Note Added: 0009063
2010-09-16 15:28 nickd Note Added: 0009080
2010-09-17 13:32 paul Note Added: 0009084
2010-09-17 13:32 paul Status assigned => resolved
2010-09-17 13:32 paul Resolution open => fixed
2010-09-17 15:08 nickd Note Added: 0009088
2010-09-17 15:13 nickd Note Added: 0009089
2010-09-17 16:29 paul Note Added: 0009090
2010-09-17 16:30 paul Status resolved => assigned
2010-12-09 02:26 danboid Note Added: 0009585
2011-03-01 18:12 paul Note Added: 0010239
2011-03-01 18:12 paul Status assigned => resolved


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker